Package org.codehaus.janino.util

# Class ClassFile.AnnotationsAttribute

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo
org.codehaus.janino.util.ClassFile.AnnotationsAttribute

Enclosing class:
  `ClassFile`

public static class ClassFile.AnnotationsAttribute extends ClassFile.AttributeInfo
Representation of a `Runtime[In]visibleAnnotations` attribute (see JVMS8 4.7.16/17).

## Method Summary

Modifier and Type
Method
Description
`List<ClassFile.Annotation>`
`getAnnotations()`
`protected void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class org.codehaus.janino.util.ClassFile.AttributeInfo

`store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAnnotations

public List<ClassFile.Annotation> getAnnotations()

Returns:
  The `ClassFile.Annotation`s contained in this `ClassFile.AnnotationsAttribute`, see JVMS8 4.7.16/17

### storeBody

protected void storeBody(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.AttributeInfo`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Specified by:
  `storeBody` in class `ClassFile.AttributeInfo`
Throws:
  `IOException`